Loading...
Searching...
No Matches
pcl::registration::MatchingCandidate Struct Reference

Container for matching candidate consisting of. More...

`#include <pcl/registration/matching_candidate.h>`

## Public Member Functions

| MatchingCandidate ()
| Constructor.
| MatchingCandidate (float s, const pcl::Correspondences &c, const Eigen::Matrix4f &m)
| Value constructor.
| ~MatchingCandidate ()=default
| Destructor.

## Public Attributes

float | fitness_score
| Fitness score of current candidate resulting from matching algorithm.
pcl::Correspondences | correspondences
| Correspondences between source <-> target.
Eigen::Matrix4f | transformation
| Corresponding transformation matrix retrieved using corrs.

## Detailed Description

Container for matching candidate consisting of.

- fitness score value as a result of the matching algorithm
- correspondences between source and target data set
- transformation matrix calculated based on the correspondences

Definition at line 56 of file matching_candidate.h.

## Constructor & Destructor Documentation

## MatchingCandidate() [1/2]

pcl::registration::MatchingCandidate::MatchingCandidate | ( |  | ) |

inline

Constructor.

Definition at line 58 of file matching_candidate.h.

References fitness_score, and transformation.

## MatchingCandidate() [2/2]

pcl::registration::MatchingCandidate::MatchingCandidate | ( | float | s,
|  | const pcl::Correspondences & | c,
|  | const Eigen::Matrix4f & | m )

inline

Value constructor.

Definition at line 63 of file matching_candidate.h.

References correspondences, fitness_score, and transformation.

## ~MatchingCandidate()

pcl::registration::MatchingCandidate::~MatchingCandidate | ( |  | ) |

default

Destructor.

## Member Data Documentation

## correspondences

pcl::Correspondences pcl::registration::MatchingCandidate::correspondences

Correspondences between source <-> target.

Definition at line 73 of file matching_candidate.h.

Referenced by MatchingCandidate().

## fitness_score

float pcl::registration::MatchingCandidate::fitness_score

Fitness score of current candidate resulting from matching algorithm.

Definition at line 70 of file matching_candidate.h.

Referenced by MatchingCandidate(), MatchingCandidate(), and pcl::registration::by_score::operator()().

## transformation

Eigen::Matrix4f pcl::registration::MatchingCandidate::transformation

Corresponding transformation matrix retrieved using corrs.

Definition at line 76 of file matching_candidate.h.

Referenced by MatchingCandidate(), and MatchingCandidate().

The documentation for this struct was generated from the following file:

- pcl/registration/matching_candidate.h